<?php
function x_3c($x_3k = Array()) { 
global $x_33; 
define('PERIOD_START', $x_3k['periodStart']); 
define('PERIOD_END', $x_3k['periodEnd']); 
define('USER_ID', $x_3k['userId']); 
define('TITLE', '<kerio:text id="individual_stats" />'); 
define('TOP_CATEGORIES', 5); 
define('TOP_PROTOCOLS', 5); 
define('TOP_WEBSITES', 5); 
define('TOP_USERS', 5); 
$x_ah = $x_33->x_4r(); 
$x_173 = new x_km('individual', 
'individual_icon_print.gif', 
TITLE, 
$x_3k['dateString']); 
$x_8b = new x_8c(); 
$x_173->x_kn = TOP_USERS; 
$x_173->x_kr = $x_8b->x_md(USER_ID); 
$x_173->x_a9 = USER_ID; 
$x_173->x_ks = x_6s($x_8b->x_mt(PERIOD_START, PERIOD_END)); 
$x_mq = Array(); 
$x_mq = $x_8b->x_mv(PERIOD_START, 
PERIOD_END, 
USER_ID); 
$x_7d = Array('<kerio:text id="lang_total" />', 
x_4p( 
x_4q($x_mq['dataTotal']), $x_ah) 
. ' KB', 
'<kerio:text id="lang_inbound" />', 
x_4p( 
x_4q($x_mq['dataIn']), $x_ah) 
. ' KB', 
'<kerio:text id="lang_outbound" />', 
x_4p( 
x_4q($x_mq['dataOut']), $x_ah) 
. ' KB'); 
$x_173->x_e0($x_7d, 1); 
$x_16t = $x_8b->x_nu( PERIOD_START, 
PERIOD_END, 
USER_ID, 
$x_33); 
$x_173->x_e0($x_16t, 2); 
$x_16v = Array(); 
$x_16v = $x_8b->x_mp( Array(), 
$x_mq, 
PERIOD_START, 
PERIOD_END, 
TOP_PROTOCOLS, 
USER_ID, 
$x_33); 
$x_173->x_e0($x_16v, 3); 
$x_8j = Array(); 
if (!empty($x_16v['data'])) { 
foreach ($x_16v['data'] as $x_7d) { 
$x_8j[] = Array($x_7d['name'], $x_7d['value']); 
} 
} 
$x_8j = x_66($x_8j, 1, $x_ah); 
$x_173->x_e0(Array($x_8j, 
Array('<kerio:text id="lang_protocol" />', 
'<kerio:text id="lang_total" /> [KB]'), 
Array('user', 'data'), 
'class="dataList"' 
), 4); 
$x_16u = $x_8b->x_lv(PERIOD_START, 
PERIOD_END, 
USER_ID, 
TOP_WEBSITES, 
$x_33); 
$x_173->x_e0($x_16u, 5); 
$x_lr = $x_8b->x_n6( PERIOD_START, 
PERIOD_END, 
TOP_CATEGORIES, 
USER_ID, 
$x_33); 
$x_7d = $x_8b->x_n1($x_lr); 
$x_173->x_e0($x_7d, 6); 
return $x_173->x_lh(); 
} 
?>
